Challenge
List submissions
The team’s submissions, newest first (simforge challenge submissions).
GET
/
api
/
cli
/
challenge
/
submissions
List submissions
curl --request GET \
--url https://dev.simforge.ai/api/cli/challenge/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/cli/challenge/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/cli/challenge/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"submissions": [
{
"id": "<string>",
"teamId": "<string>",
"track": "dev",
"imageRef": "<string>",
"imageDigest": "<string>",
"status": "queued",
"night": "<string>",
"score": 123,
"errorCode": "<string>",
"errorReason": "<string>",
"createdAt": "<string>",
"scoredAt": "<string>"
}
]
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}⌘I
List submissions
curl --request GET \
--url https://dev.simforge.ai/api/cli/challenge/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/cli/challenge/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/cli/challenge/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"submissions": [
{
"id": "<string>",
"teamId": "<string>",
"track": "dev",
"imageRef": "<string>",
"imageDigest": "<string>",
"status": "queued",
"night": "<string>",
"score": 123,
"errorCode": "<string>",
"errorReason": "<string>",
"createdAt": "<string>",
"scoredAt": "<string>"
}
]
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}{
"error": "<string>",
"error_description": "<string>",
"detail": {}
}